Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface ExceptionThrower

All Known Implementing Classes:
  ANEWARRAY, ArrayInstruction, ARRAYLENGTH, ATHROW, CHECKCAST, GETFIELD, GETSTATIC, IDIV, INSTANCEOF, InvokeInstruction, IREM, LDC, LDIV, LREM, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, PUTFIELD, PUTSTATIC, ReturnInstruction

public interface ExceptionThrower

Denote an instruction that may throw a run-time or a linking exception (or both) during execution. This is not quite the truth as such; because all instructions may throw an java.lang.VirtualMachineError. These exceptions are omitted. The Lava Language Specification specifies exactly which RUN-TIME and which LINKING exceptions each instruction may throw which is reflected by the implementers. Due to the structure of the JVM specification, it may be possible that an Instruction implementing this interface returns a Class[] of size 0. Please note that we speak of an "exception" here when we mean any "Throwable" object; so this term is equally used for "Exception" and "Error" objects.

Version:
  $Id: ExceptionThrower.java,v 1.1.1.1 2001/10/29 20:00:11 jvanzyl Exp $
Author:
  Enver Haase

Method Summary
`java.lang.Class[]` | `getExceptions()`

Method Detail

### getExceptions

    public java.lang.Class[] getExceptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.